## kpowersave-trinity 14.0.6

=== CMakeLists.txt ===
#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

cmake_minimum_required( VERSION 2.8 )


##### general package setup #####################

project( kpowersave )


##### include essential cmake modules ###########

include( FindPkgConfig )
include( CheckSymbolExists )
include( CheckCXXSourceCompiles )


##### include our cmake modules #################

set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/modules" )
include( TDEMacros )


##### setup install paths #######################

include( TDESetupPaths )
tde_setup_paths( )


##### configure checks ##########################

include( ConfigureChecks.cmake )


###### global compiler settings #################

add_definitions(
  -DHAVE_CONFIG_H
)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### source directories ########################

add_subdirectory( src )


##### write configure files #####################

configure_file( config.h.cmake config.h @ONLY )

## kpowersave-trinity 3.5.13.2

=== debian/changelog ===
kpowersave-trinity (4:3.5.13.2-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:58:51 +0200

kpowersave-trinity (0.7.3-0ubuntu3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

kpowersave-trinity (0.7.3-0ubuntu2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

kpowersave-trinity (0.7.3-0ubuntu1) intrepid; urgency=low

  * Added -trinity suffix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Sun, 14 Dec 2008 15:12:00 -0600

kpowersave (0.7.3-2ubuntu1) intrepid; urgency=low

  * Merge from debian unstable, remaining changes:
    - debian/patches/kubuntu_02_messages_target.diff
    - Modified maintainer field per specification

 -- Harald Sitter <apachelogger@ubuntu.com>  Fri, 25 Jan 2008 09:54:46 +0000

kpowersave (0.7.3-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version to 3.7.3. No further changes required.
    - Drop Recommends: pm-utils | powersaved | hibernate | acpi-support.
      Let the hal package depend on the correct suspend framework.

 -- Michael Biebl <biebl@debian.org>  Fri, 25 Jan 2008 06:02:09 +0100

kpowersave (0.7.3-1ubuntu1) hardy; urgency=low

  * Merge from debian unstable.
  * Dropped debian/patches/kubuntu_01_kdepot.patch - in KDE CDBS class.
  * Remaining Ubuntu changes:
    - debian/patches/kubuntu_02_messages_target.diff

 -- Jonathan Patrick Davies <jpatrick@kubuntu.org>  Wed, 24 Oct 2007 20:41:44 +0200

kpowersave (0.7.3-1) unstable; urgency=low

  * New upstream release.
    - Fixes a crash in HardwareInfo::checkCurrentCPUFreqPolicy ().
      Closes: #422057
  * debian/control
    - Use the new "Homepage:" field to specify the upstream URL.
    - Add a Build-Conflicts against autoconf2.13.
  * debian/menu
    - Update to the new menu spec.
  * debian/patches/10-kpowersave-crash-on-getenv.patch
    - Removed, fixed upstream.
  * debian/patches/06-handle_failed_suspend.patch
    - Removed, merged upstream.
  * debian/patches/05-restore_window.patch
    - Removed, merged upstream.
  * debian/patches/04-default_config.patch
    - Updated, wodim is now already in the application blacklist that is
      provided by upstream.

 -- Michael Biebl <biebl@debian.org>  Thu, 04 Oct 2007 12:48:39 +0200

kpowersave (0.7.2-3ubuntu1) gutsy; urgency=low

  * Merge from debian unstable. 
  * Remaining Ubuntu changes:
    * debian/control: change Maintainer field
    * debian/patches/kubuntu_01_kdepot.patch
    * debian/patches/kubuntu_02_messages_target.diff

 -- Sarah Hobbs <hobbsee@ubuntu.com>  Sat, 19 May 2007 13:22:26 +1000

kpowersave (0.7.2-3) unstable; urgency=low

  * debian/patches/10-kpowersave-crash-on-getenv.patch
    - Fixes a crash when the environment variable DESKTOP_SESSION is not set.
      Patch by Pierre Habouzit, thanks!  Closes: #422420

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Apr 2007 21:07:05 +0200

kpowersave (0.7.2-2) unstable; urgency=low

  * Upload to unstable.
  * debian/patches/05-restore_window.patch
    - Pull from svn. Properly restore minimized configuration dialog.
      Closes: #413638
  * debian/patches/06-handle_failed_suspend.patch
    - Pull from svn. Check the return code of the Suspend() method and display
      a message box if it failed. Closes: #413811

 -- Michael Biebl <biebl@debian.org>  Wed, 25 Apr 2007 20:40:41 +0200

kpowersave (0.7.2-1ubuntu1) feisty; urgency=low

  * Merge from debian experimental
  * Dropped Ubuntu changes:
    * debian/control: drop Conflics/Replaces/Provides klaptopdaemon - does not
      conflict anymore
    * debian/rules: remove dh_iconcache - done by cdbs
  * Remaining Ubuntu changes:
    * debian/control: change Maintainer field
    * debian/patches/kubuntu_01_kdepot.patch
    * debian/patches/kubuntu_02_messages_target.diff

 -- Luka Renko <lure@ubuntu.com>  Mon, 19 Mar 2007 22:30:13 +0100

kpowersave (0.7.2-1) experimental; urgency=low

  * New upstream release. Closes: #412647
  * debian/patches/01-autoconf_2.6.patch,
    debian/patches/02-close_dialog_on_destroy.patch
    - Removed, merged upstream.
  * debian/patches/04-default_config.patch
    - Add wodim to application blacklist.
    - Do not unmount external media on suspend.
      kded/mediamanager in Debian is missing a patch which would allow that. 
  * Beginning with this version, the dependency on powersaved as backend has
    been dropped. All the heavy lifting is done via HAL now.
    Update debian/control accordingly:
    - Remove build dependency on libpowersave-dev.
    - Remove dependency on powersaved, add a versioned dependency on 
      hal (>= 0.5.8.1) instead (needed for cpu frequency scaling support).
    - For proper suspend/resume support, hal should use one of the existing 
      suspend frameworks. Add Recommends on these packages. 
    - Update the package description.

 -- Michael Biebl <biebl@debian.org>  Mon,  5 Mar 2007 07:24:09 +0100

kpowersave (0.7.2-0ubuntu1) feisty; urgency=low

  * New upstream release: uses HAL directly (no powersave dependency)
  * Changes:
    * drop 01-autoconf_2.6.patch: included upstream
    * drop 02-close_dialog_on_destroy.patch: included upstream
    * drop 03-reset_blankonly_to_default.patch: fixed upstream
    * update kubuntu_01_kdepot.patch to apply
    * drop Build-Depends on libpowersave-dev: now uses HAL 
    * drop Depends on powersaved: now uses HAL
    * update Maintainer field
  * UVF exception approved by MOTU https://launchpad.net/bugs/88793

 -- Luka Renko <lure@ubuntu.com>  Wed, 28 Feb 2007 22:35:46 +0100

kpowersave (0.6.2-5ubuntu1) feisty; urgency=low

  * Merge from debian unstable, remaining changes:
    - Added dh_iconcache
    - Add kubuntu_02_messages_target.diff fix messages 
      target for .pot generation


=== debian/control ===
Source: kpowersave-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
Build-Depends: cdbs, debhelper (>= 5.0.0), quilt, kdelibs4-trinity-dev, libxss-dev, libxtst-dev, libhal-dev (>= 0.5.6), libdbus-1-dev (>= 0.6), libdbus-tqt-1-dev, automake, autoconf, libtool, libltdl-dev
Build-Conflicts: autoconf2.13
Standards-Version: 3.8.4
Homepage: http://sourceforge.net/projects/powersave/

Package: kpowersave-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, hal (>= 0.5.8.1)
Description: HAL based power management applet for Trinity
 KPowersave is a KDE systray applet which allows to control the power 
 management settings and policies of your computer.
 It relies on HAL to do the heavy lifting.
 .
 Current feature list:
  * support for ACPI, APM and PMU
  * trigger suspend to disk/ram and standby
  * switch cpu frequency policy (between: performance, dynamic and powersave)
  * applet icon with information about AC state, battery fill and battery
    (warning) states
  * applet tooltip with information about battery fill and remaining battery 
    time/percentage
  * autosuspend (to suspend the machine if the user has been inactive for a 
    defined time)
  * a global configurable blacklist with programs which prevent autosuspend
    (e.g. videoplayer and cd burning tools)
  * trigger lock screen and select the lock method
  * KNotify support
  * online help
  * localisations for many languages
 KPowersave supports schemes with following configurable specific 
 settings for:
  * screensaver
  * DPMS
  * autosuspend
  * scheme specific blacklist for autosuspend
  * notification settings

=== debian/rules ===
#!/usr/bin/make -f
  
include debian/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_DOCS_ALL := AUTHORS NEWS
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
		
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/kpowersave-trinity::
	install -p -D -m644 debian/kpowersave-trinity.lintian debian/kpowersave/opt/trinity/share/lintian/overrides/kpowersave
	install -p -D -m644 debian/kpowersave-trinity.linda debian/kpowersave/opt/trinity/share/linda/overrides/kpowersave

binary-install/kpowersave-trinity::
	mv debian/kpowersave-trinity/usr/share/man debian/kpowersave-trinity/opt/trinity/share/

clean::
	find . -name Makefile.in | xargs rm -f
	rm -f acinclude.m4
	rm -f aclocal.m4
	rm -f configure
	rm -f configure.files
	rm -f configure.in
	rm -f config.h.in
	rm -f stamp-h.in
	rm -f subdirs	
	rm -f admin/ltmain.sh
	rm -f admin/libtool.m4.in
	rm -f debian/stamp-bootstrap

## kpowersave-trinity 14.0.6

=== debian/changelog ===
kpowersave-trinity (4:14.0.6-0ubuntu10.04.0+0) lucid; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:13:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: kpowersave-trinity
-Section: kde
+Section: tde
 Priority: optional
 Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
 XSBC-Original-Maintainer: Michael Biebl <biebl@debian.org>
-Build-Depends: cdbs, debhelper (>= 5.0.0), quilt, kdelibs4-trinity-dev, libxss-dev, libxtst-dev, libhal-dev (>= 0.5.6), libdbus-1-dev (>= 0.6), libdbus-tqt-1-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, tdelibs14-trinity-dev, libxss-dev, libxtst-dev, libhal-dev (>= 0.5.6), libdbus-1-dev (>= 0.6), libdbus-tqt-1-dev, cmake, automake, autoconf, libtool, libltdl-dev
 Build-Conflicts: autoconf2.13
 Standards-Version: 3.8.4
 Homepage: http://sourceforge.net/projects/powersave/
@@ -11,8 +11,10 @@
 Package: kpowersave-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, hal (>= 0.5.8.1)
+Replaces: kpowersave-kde3 (<< 4:14.0.0~), kpowersave-trinity (<< 4:14.0.0~)
+Breaks: kpowersave-kde3 (<< 4:14.0.0~), kpowersave-trinity (<< 4:14.0.0~)
 Description: HAL based power management applet for Trinity
- KPowersave is a KDE systray applet which allows to control the power 
+ KPowersave is a TDE systray applet which allows to control the power 
  management settings and policies of your computer.
  It relies on HAL to do the heavy lifting.
  .

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/cmake.mk
include debian/cdbs/kde.mk
include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_INSTALL_DOCS_ALL := AUTHORS NEWS
DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

DEB_CMAKE_EXTRA_FLAGS := \
 -DCMAKE_INSTALL_PREFIX="/opt/trinity" \
 -DCONFIG_INSTALL_DIR="/etc/trinity" \
 -DSYSCONF_INSTALL_DIR="/etc/trinity" \
 -DXDG_MENU_INSTALL_DIR="/etc/xdg/menus" \
 -DCMAKE_BUILD_TYPE=RelWithDebInfo \
 -DCMAKE_VERBOSE_MAKEFILE="ON" \
 -DCMAKE_SKIP_RPATH="OFF" \
 -DBUILD_ALL="ON" \
 -DWITH_GCC_VISIBILITY="ON"

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
		
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/kpowersave-trinity::
	install -p -D -m644 debian/$(cdbs_curpkg).lintian debian/kpowersave/usr/share/lintian/overrides/$(cdbs_curpkg)
	install -p -D -m644 debian/$(cdbs_curpkg).linda debian/kpowersave/usr/share/linda/overrides/$(cdbs_curpkg)

binary-install/kpowersave-trinity::
	mv debian/kpowersave-trinity/usr/share/man debian/kpowersave-trinity/opt/trinity/share/

clean::
	find . -name Makefile.in | xargs rm -f
	rm -f acinclude.m4
	rm -f aclocal.m4
	rm -f configure
	rm -f configure.files
	rm -f configure.in
	rm -f config.h.in
	rm -f stamp-h.in
	rm -f subdirs	
	rm -f admin/ltmain.sh
	rm -f admin/libtool.m4.in
	rm -f debian/stamp-bootstrap

## kpowersave-trinity 14.0.8

=== debian/changelog ===
kpowersave-trinity (4:14.0.8-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:51:37 +0200
